// RajzoloView.h : interface of the CRajzoloView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_RAJZOLOVIEW_H__63D82DE9_AE2E_403A_906F_271B00F6D500__INCLUDED_)
#define AFX_RAJZOLOVIEW_H__63D82DE9_AE2E_403A_906F_271B00F6D500__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CRajzoloView : public CView
{
protected: // create from serialization only
	CRajzoloView();
	DECLARE_DYNCREATE(CRajzoloView)

// Attributes
public:
	CRajzoloDoc* GetDocument();

private:
	bool m_RajzMod;
	HCURSOR m_KeresztKurzor;
	CPoint m_RegiPont;
	CPoint m_StartPont;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRajzoloView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CRajzoloView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CRajzoloView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in RajzoloView.cpp
inline CRajzoloDoc* CRajzoloView::GetDocument()
   { return (CRajzoloDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RAJZOLOVIEW_H__63D82DE9_AE2E_403A_906F_271B00F6D500__INCLUDED_)
